/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { FileActionHttpMethod } from './file-action-http-method';

/**
 * Represents a Data Transfer Object (DTO) for file actions, including the URL and HTTP method.
 * @export
 * @interface FileActionDto
 */
export interface FileActionDto {
    /**
     * Gets or sets the presigned URL associated with the file action.
     * @type {string}
     * @memberof FileActionDto
     */
    'url'?: string;
    /**
     * 
     * @type {FileActionHttpMethod}
     * @memberof FileActionDto
     */
    'method'?: FileActionHttpMethod;
}



